Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::GlMetaNodeRenderer Class Reference

`#include <GlMetaNodeRenderer.h>`

Inheritance diagram for tlp::GlMetaNodeRenderer:
[legend]

List of all members.

## Public Member Functions

- virtual ~GlMetaNodeRenderer ()
- virtual void prerender (node, float, Camera *)
- virtual void render (node, float, Camera *)
- virtual bool havePrerender ()
- virtual bool glMetaNodeHaveToRenderLabels ()
- virtual void setInputData (GlGraphInputData *)
- virtual GlGraphInputData * getInputData ()

## Detailed Description

Class use to render a meta node, this version render nothing

## Constructor & Destructor Documentation

virtual tlp::GlMetaNodeRenderer::~GlMetaNodeRenderer | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual GlGraphInputData* tlp::GlMetaNodeRenderer::getInputData | ( |  | ) | `[inline, virtual]`

Reimplemented in tlp::GlMetaNodeTrueRenderer.

virtual bool tlp::GlMetaNodeRenderer::glMetaNodeHaveToRenderLabels | ( |  | ) | `[inline, virtual]`

virtual bool tlp::GlMetaNodeRenderer::havePrerender | ( |  | ) | `[inline, virtual]`

virtual void tlp::GlMetaNodeRenderer::prerender | ( | node | ,
|  | float | ,
|  | Camera * |
| ) |  | `[inline, virtual]`

virtual void tlp::GlMetaNodeRenderer::render | ( | node | ,
|  | float | ,
|  | Camera * |
| ) |  | `[inline, virtual]`

Reimplemented in tlp::GlMetaNodeTrueRenderer.

virtual void tlp::GlMetaNodeRenderer::setInputData | ( | GlGraphInputData * |  | ) | `[inline, virtual]`

Reimplemented in tlp::GlMetaNodeTrueRenderer.

Tulip Software by LaBRI Visualization Team 2001 - 2012